Log4j 1.2.9

## org.apache.log4j.net
Class JMSSink

    java.lang.Object
      |
      +--org.apache.log4j.net.JMSSink

All Implemented Interfaces:
  MessageListener

public class JMSSink
extends Object
implements MessageListener

A simple application that consumes logging events sent by a `JMSAppender`.

Author:
  Ceki Gülcü

Constructor Summary
`JMSSink(String tcfBindingName, String topicBindingName, String username, String password)`

Method Summary
`protected static Object` `lookup(Context ctx, String name)`
`static void` `main(String[] args)`
`void` `onMessage(Message message)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JMSSink

    public JMSSink(String tcfBindingName,
                   String topicBindingName,
                   String username,
                   String password)

Method Detail

### main

    public static void main(String[] args)
                     throws Exception

### onMessage

    public void onMessage(Message message)

  Specified by:
    `onMessage` in interface `MessageListener`

### lookup

    protected static Object lookup(Context ctx,
                                   String name)
                            throws NamingException

Log4j 1.2.9

Copyright 2000-2002 Apache Software Foundation.